%global fontname labelleaurore
%global fontconf 61-%{fontname}-fonts.conf
%global alphatag 20140913hg


Name:          %{fontname}-fonts
Version:       1.001
Release:       0.2.%{alphatag}%{?dist}
Summary:       La Belle Aurore font by Kimberly Geswein
License:       OFL
URL:           http://www.google.com/fonts/specimen/La+Belle+Aurore
Source0:       https://googlefontdirectory.googlecode.com/hg/ofl/labelleaurore/LaBelleAurore.ttf
Source1:       https://googlefontdirectory.googlecode.com/hg/ofl/labelleaurore/OFL.txt
Source10:      %{fontconf}
BuildArch:     noarch
BuildRequires: fontpackages-devel
BuildRequires: ttname
Requires:      fontpackages-filesystem

%description
This whimsical, romantic handwriting is inspired by the romance of
Casablanca. It is not a true script, but has many curls and tendrils similar to
a script font.


%prep
%setup -qTc
cp -p %{SOURCE0} %{SOURCE1} .


%build
ttname --copyright="$(head -n1 OFL.txt)" --license="$(cat OFL.txt)" --license-url="http://scripts.sil.org/OFL" *.ttf || exit 0

%install
install -m 0755 -d %{buildroot}%{_fontdir}

install -m 0644 -p *.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE10} \
    %{buildroot}%{_fontconfig_templatedir}/%{fontconf}

ln -s %{_fontconfig_templatedir}/%{fontconf} \
        %{buildroot}%{_fontconfig_confdir}/%{fontconf}


%_font_pkg -f %{fontconf} *.ttf
%doc OFL.txt


%changelog
* Sat Sep 13 2014 Julien Enselme <jujens@jujens.eu> - 1.001-0.2.20140913hg
- Correct the SOURCEs URLs
- Remove the files macro
- Correct the prep section

* Wed Sep 03 2014 Julien Enselme <jujens@jujens.eu> - 1.00-1.41528389c445hg
- Initial packaging.
